/* Copyright (C) Emmanuel Varagnat 1998

   Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou
   le modifier conformment aux dispositions de la Licence Publique Gnrale
   GNU, telle que publie par la Free Software Foundation ; version 2 de la
   licence, ou encore ( votre choix) toute version ultrieure.

   Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE
   GARANTIE ; sans mme la garantie implicite de COMMERCIALISATION ou
   D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de dtail, voir la Licence
   Publique Gnrale GNU .

   Vous devez avoir reu un exemplaire de la Licence Publique Gnrale GNU en
   mme temps que ce programme ; si ce n'est pas le cas, crivez  la Free
   Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.

  ==========================================================================

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

  ==========================================================================

   Ecrit par Emmanuel Varagnat (emmanuel.varagnat@altavista.net)  */


typedef enum {
	AFF_NOM	   =	1 << 0,
	AFF_INOD   =	1 << 1,
	AFF_PERM   =	1 << 2,
	AFF_SIZE   =	1 << 3,
	AFF_UID	   =	1 << 4,
	AFF_GID	   =	1 << 5,
	AFF_LNK	   =	1 << 6,
	AFF_BLOC   =	1 << 7,
	AFF_CTIME  =	1 << 8,
	AFF_ATIME  =	1 << 9,
	AFF_MTIME  =	1 << 10
} Col_Mask;

typedef struct option {
		int lang;		/* langue */
		int sh_hdir, sh_hfil;	/* montre les fichiers ou les repertoires caches */
		int colonne;		/* contient le masque d'affichage des colonnes */

		Col_Mask tri;		/* tri indique quel est le critere de tri */
		int tri_inv;		/* et inv_tri si le tri est ascendant ou descandant */

		int nb_types;
		struct type *lst_ext; /* tableau de structure type */
	} options;


void load_config();


extern struct option opt;
extern struct exec_item *exec_tb;
extern int exec_pos;

extern char *HOMEpath;
extern int UID, GID;
